Bug 76359 - (DMI APM)boot hangs on apm
(DMI APM)boot hangs on apm
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-20 16:28 EDT by gene c
Modified: 2008-08-01 12:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmidecode output (14.54 KB, text/plain)
2004-03-10 02:59 EST, Aleksey Nogin
no flags Details
dmidecode output from my portable (14.36 KB, text/plain)
2004-03-10 14:26 EST, Andrea Pasquinucci
no flags Details

  None (edit)
Description gene c 2002-10-20 16:28:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
1.6 Mhz P4 on Intel D850GB motherbnoard - boots ok with apm=off.
It hangs at the line that begins "apm ..."
All 7.2 kernels were fine. Problem started with 8.0. 
BIOS is latest (p18) from intel - dated 11/11/2001

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.boot without apm=off
2.
3.
	

Additional info:

lspci output:
spci
00:00.0 Host bridge: Intel Corp. 82850 850 (Tehama) Chipset Host Bridge (MCH)
(rev 02)
00:01.0 PCI bridge: Intel Corp. 82850 850 (Tehama) Chipset AGP Bridge (rev 02)
00:1e.0 PCI bridge: Intel Corp. 82801BA/CA/DB PCI Bridge (rev 04)
00:1f.0 ISA bridge: Intel Corp. 82801BA ISA Bridge (LPC) (rev 04)
00:1f.1 IDE interface: Intel Corp. 82801BA IDE U100 (rev 04)
00:1f.2 USB Controller: Intel Corp. 82801BA/BAM USB (Hub #1) (rev 04)
00:1f.3 SMBus: Intel Corp. 82801BA/BAM SMBus (rev 04)
00:1f.4 USB Controller: Intel Corp. 82801BA/BAM USB (Hub #2) (rev 04)
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon VE QY
02:0a.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 07)
02:0a.1 Input device controller: Creative Labs SB Live! MIDI/Game Port (rev 07)
02:0b.0 FireWire (IEEE 1394): Texas Instruments TSB12LV26 IEEE-1394 Controller
(Link)
02:0c.0 Ethernet controller: 3Com Corporation 3c905C-TX/TX-M [Tornado] (rev 78)
Comment 1 Arjan van de Ven 2002-10-20 16:32:09 EDT
8.0 is the first kernel that tries to use APM idle functionality.
Could you try "apm=idle_threshold=100" instead of "apm=off" and see if that
works (that disables machine idle reporting to the bios)
If so, please attach the output (or at least the 20 first lines or so) of the
dmidecode program (part of the kernel-utils package)
Comment 2 gene c 2002-10-20 16:48:44 EDT
Tried apm=idle_threshold=100" 
it didn't help - still hangs at line:
"apm: BIOS Version 1.2 Flags 0x0b (Driver Versions 1.16)"

I booted with apm=off - so not sure if you still want the dmidecode output but
here it is anyway: 
------------------------------------------------
MBIOS 2.3 present.
DMI 2.3 present.
61 structures occupying 2122 bytes.
DMI table at 0x000F0FD0.
Handle 0x0000
        DMI type 0, 20 bytes.
        BIOS Information Block
                Vendor: Intel Corp.
                Version: GB85010A.86A.0078.P18.0110081719
                Release: 10/08/2001
                BIOS base: 0xF0000
                ROM size: 448K
                Capabilities:
                        Flags: 0x000000017FF9DE80
Handle 0x0001
        DMI type 1, 25 bytes.
        System Information Block
                Vendor:
                Product:
                Version:
                Serial Number:

Handle 0x0002
        DMI type 2, 8 bytes.
        Board Information Block
                Vendor: Intel Corporation
                Product: D850GB
                Version: AAA48535-907
                Serial Number: IMGB20500831
         
Comment 3 Fernando Hernandez 2002-10-21 02:53:21 EDT
I have a similar crash with the same IBM motherboard and BIOS version, and
RedHat 8.0.

With the first kernel I have a 50% chances to have a crash.

I've just installed via the RedHat Network the very last kernel and I always get
a crash.
Comment 4 Arjan van de Ven 2002-10-21 04:00:33 EDT
fmorondo@arrakis.es:
so where is your dmidecode output ?
Comment 5 Fernando Hernandez 2002-10-21 09:55:35 EDT
I'm sorry, but I'm a domestic user and I'm a linux beginner. How can I get the
dmidecode? Now I've set apm=off, and I have no problems since. If it is useful
for the community, I'll follow your instructions.
Comment 6 Ed Marshall 2002-10-22 22:15:47 EDT
I saw the same thing over here. Penguin Computing 1U system, I'll let lspci and
dmidecode spell out the details (email me if you need anything else). The
problem is now gone with 2.4.18-17.8.0. The system used to hang right at "apm:
BIOS version...". Hope this helps.

lspci:

00:00.0 Host bridge: Intel Corp. 82810E DC-133 GMCH [Graphics Memory Controller
Hub] (rev 03)
00:01.0 VGA compatible controller: Intel Corp. 82810E DC-133 CGC [Chipset
Graphics Controller] (rev 03)
00:1e.0 PCI bridge: Intel Corp. 82801AA PCI Bridge (rev 02)
00:1f.0 ISA bridge: Intel Corp. 82801AA ISA Bridge (LPC) (rev 02)
00:1f.1 IDE interface: Intel Corp. 82801AA IDE (rev 02)
00:1f.2 USB Controller: Intel Corp. 82801AA USB (rev 02)
00:1f.3 SMBus: Intel Corp. 82801AA SMBus (rev 02)
01:01.0 Ethernet controller: Intel Corp. 82557/8/9 [Ethernet Pro 100] (rev 08)
01:07.0 Multimedia audio controller: Ensoniq ES1371 [AudioPCI-97] (rev 06)
01:09.0 Ethernet controller: Intel Corp. 82557/8/9 [Ethernet Pro 100] (rev 05)

dmidecode:

PNP BIOS present.
SMBIOS 2.3 present.
DMI 2.3 present.
55 structures occupying 2021 bytes.
DMI table at 0x000F0EA0.
Handle 0x0000
	DMI type 0, 20 bytes.
	BIOS Information Block
		Vendor: Intel Corp.
		Version: CA81020A.86A.0006.P03.0002100928
		Release: 02/10/2000
		BIOS base: 0xF0000
		ROM size: 448K
		Capabilities:
			Flags: 0x000000007FCBDE90
Handle 0x0001
	DMI type 1, 25 bytes.
	System Information Block
		Vendor:                                
		Product:                                
		Version:                        
		Serial Number:                                
Handle 0x0002
	DMI type 2, 8 bytes.
	Board Information Block
		Vendor: Intel Corporation              
		Product: CA810E                         
		Version: AAA01988-308           
		Serial Number: IMC203616176                   
Handle 0x0003
	DMI type 3, 17 bytes.
	Chassis Information Block
		Vendor:                                
		Chassis Type: Unknown
		Version:                        
		Serial Number:                                
		Asset Tag:                                
Handle 0x0004
	DMI type 4, 32 bytes.
	Processor
		Socket Designation: J5H1
		Processor Type: Central Processor
		Processor Family: Pentium III processor
		Processor Manufacturer: Intel Corporation
		Processor Version: Pentium(R)III                
Handle 0x0005
	DMI type 7, 19 bytes.
	Cache
		Socket: None
		L1 Internal Cache: write-back
		L1 Cache Size: 32K
		L1 Cache Maximum: 32K
		L1 Cache Type: Pipeline burst Synchronous 
Handle 0x0006
	DMI type 7, 19 bytes.
	Cache
		Socket: None
		L2 Internal Cache: write-back
		L2 Cache Size: 256K
		L2 Cache Maximum: 256K
		L2 Cache Type: Synchronous 
Handle 0x0007
	DMI type 5, 20 bytes.
	Memory Controller
Handle 0x0008
	DMI type 6, 12 bytes.
	Memory Bank
		Socket: J6F1
		Banks: 0 0
		Speed: 50nS
		Type: DIMM 
		Installed Size: 256Mbyte (Double sided)
		Enabled Size: 256Mbyte (Double sided)
Handle 0x0009
	DMI type 6, 12bytes.
	Memory Bank
		Socket: J7F1
		Banks: 0 0
		Speed: 50nS
		Type: DIMM 
		Installed Size: Not Installed
		Enabled Size: Not Installed
Handle 0x000A
	DMI type 9, 13 bytes.
	Card Slot
		Slot: J4C1
		Type: 32bit PCI 
		Status: Available.
		Slot Features: 3.3v 
Handle 0x000B
	DMI type 9, 13 bytes.
	Card Slot
		Slot: J4B1
		Type: 32bit PCI 
		Status: In use.
		Slot Features: 3.3v 
Handle 0x000C
	DMI type 9, 13 bytes.
	Card Slot
		Slot: J4B1
		Type: 32bit PCI 
		Status: In use.
		Slot Features: 3.3v 
Handle 0x000D
	DMI type 9, 13 bytes.
	Card Slot
		Slot: J4A1
		Type: 32bit PCI 
		Status: Available.
		Slot Features: 3.3v Shared 
Handle 0x000E
	DMI type 10, 6 bytes.
	On Board Devices Information
		Description: Ensoniq ES1373 Audio Device : Enabled
		Type: 
Handle 0x000F
	DMI type 10, 6 bytes.
	On Board Devices Information
		Description: Intel GMCH AGP Graphics Controller : Enabled
		Type: 
Handle 0x0010
	DMI type 10, 6 bytes.
	On Board Devices Information
		Description: Intel 82559 Ethernet Device : Enabled
		Type: 
Handle 0x0011
	DMI type 8, 9 bytes.
	Port Connector
		Internal Designator: J1J1
		Internal Connector Type: None
		External Designator: Keyboard
		External Connector Type: Access Bus (USB)
		Port Type: USB
Handle 0x0012
	DMI type 8, 9 bytes.
	Port Connector
		Internal Designator: J1J1
		Internal Connector Type: None
		External Designator: PS2Mouse
		External Connector Type: Access Bus (USB)
		Port Type: USB
Handle 0x0013
	DMI type 8, 9 bytes.
	Port Connector
		Internal Designator: J1F1
		Internal Connector Type: None
		External Designator: COM A
		External Connector Type: DB-9 pin female
		Port Type: Serial Port 16650A Compatible
Handle 0x0014
	DMI type 8, 9 bytes.
	Port Connector
		Internal Designator: J1F2
		Internal Connector Type: None
		External Designator: LPT1
		External Connector Type: DB-25 pin male
		Port Type: Parallel Port ECP/EPP
Handle 0x0015
	DMI type 8, 9 bytes.
	Port Connector
		Internal Designator: J1K1
		Internal Connector Type: None
		External Designator: USB1
		External Connector Type: PS/2
		Port Type: Keyboard Port
Handle 0x0016
	DMI type 8, 9 bytes.
	Port Connector
		Internal Designator: J1K1
		Internal Connector Type: None
		External Designator: USB2
		External Connector Type: PS/2
		Port Type: Mouse Port
Handle 0x0017
	DMI type 8, 9 bytes.
	Port Connector
		Internal Designator: J9E1 - Floppy
		Internal Connector Type: On Board Floppy
		External Designator: None
		External Connector Type: None
		Port Type: Other
Handle 0x0018
	DMI type 8, 9 bytes.
	Port Connector
		Internal Designator: J9D1 - PRI IDE
		Internal Connector Type: On Board IDE
		External Designator: None
		External Connector Type: None
		Port Type: Other
Handle 0x0019
	DMI type 8, 9 bytes.
	Port Connector
		Internal Designator: J9F1 - SEC IDE
		Internal Connector Type: On Board IDE
		External Designator: None
		External Connector Type: None
		Port Type: Other
Handle 0x001A
	DMI type 8, 9 bytes.
	Port Connector
		Internal Designator: J1G1
		Internal Connector Type: None
		External Designator: Video
		External Connector Type: DB-15 pin female
		Port Type: Video Port
Handle 0x001B
	DMI type 8, 9 bytes.
	Port Connector
		Internal Designator: J2C1 - VIDEO INTERFACE PORT
		Internal Connector Type: Other
		External Designator: None
		External Connector Type: None
		Port Type: Video Port
Handle 0x001C
	DMI type 8, 9 bytes.
	Port Connector
		Internal Designator: J1D1
		Internal Connector Type: None
		External Designator: GAME
		External Connector Type: DB-15 pin female
		Port Type: Joy Stick Port
Handle 0x001D
	DMI type 8, 9 bytes.
	Port Connector
		Internal Designator: J1D1
		Internal Connector Type: None
		External Designator: Audio Mic In
		External Connector Type: Mini-jack (headphones)
		Port Type: Audio Port
Handle 0x001E
	DMI type 8, 9 bytes.
	Port Connector
		Internal Designator: J1D1
		Internal Connector Type: None
		External Designator: Audio Line In
		External Connector Type: Mini-jack (headphones)
		Port Type: Audio Port
Handle 0x001F
	DMI type 8, 9 bytes.
	Port Connector
		Internal Designator: J1D1
		Internal Connector Type: None
		External Designator: Audio Line Out
		External Connector Type: Mini-jack (headphones)
		Port Type: Audio Port
Handle 0x0020
	DMI type 8, 9 bytes.
	Port Connector
		Internal Designator: J2C2 - CDIN
		Internal Connector Type: On Board Sound Input from CD-ROM
		External Designator: None
		External Connector Type: None
		Port Type: Audio Port
Handle 0x0021
	DMI type 8, 9 bytes.
	Port Connector
		Internal Designator: J2D3 - Telephony IN
		Internal Connector Type: Other
		External Designator: None
		External Connector Type: None
		Port Type: Audio Port
Handle 0x0022
	DMI type 8, 9 bytes.
	Port Connector
		Internal Designator: J2D2 - AUX IN
		Internal Connector Type: Other
		External Designator: None
		External Connector Type: None
		Port Type: Audio Port
Handle 0x0023
	DMI type 8, 9 bytes.
	Port Connector
		Internal Designator: J9H2 - Wake On Ring
		Internal Connector Type: Other
		External Designator: None
		External Connector Type: None
		Port Type: Other
Handle 0x0024
	DMI type 8, 9 bytes.
	Port Connector
		Internal Designator: J8A3 - Wake On LAN
		Internal Connector Type: Other
		External Designator: None
		External Connector Type: None
		Port Type: Other
Handle 0x0025
	DMI type 8, 9 bytes.
	Port Connector
		Internal Designator: J9A2 - SCSI LED
		Internal Connector Type: Other
		External Designator: None
		External Connector Type: None
		Port Type: Other
Handle 0x0026
	DMI type 8, 9 bytes.
	Port Connector
		Internal Designator: J9F21 - Control Panel
		Internal Connector Type: Other
		External Designator: None
		External Connector Type: None
		Port Type: Other
Handle 0x0027
	DMI type 8, 9 bytes.
	Port Connector
		Internal Designator: J7G2 - Fan2
		Internal Connector Type: Other
		External Designator: None
		External Connector Type: None
		Port Type: Other
Handle 0x0028
	DMI type 8, 9 bytes.
	Port Connector
		Internal Designator: J3J1 - Fan3
		Internal Connector Type: Other
		External Designator: None
		External Connector Type: None
		Port Type: Other
Handle 0x0029
	DMI type 8, 9 bytes.
	Port Connector
		Internal Designator: J7A1 - Configuration Jumper
		Internal Connector Type: Other
		External Designator: None
		External Connector Type: None
		Port Type: Other
Handle 0x002A
	DMI type 12, 5 bytes.
	Configuration Information
		J7A1 Jumper Pins 1-2 Normal Mode
		J7A1 Jumper Pins 2-3 Configuration Mode
		J7A1 No Jumper Recovery Mode
Handle 0x002B
	DMI type 13, 22 bytes.
	BIOS Language Information
Handle 0x002C
	DMI type 15, 33 bytes.
	Event Log
		Log Area: 4096 bytes.
		Log Header At: 0.
		Log Data At: 16.
		Log Type: 3.
Handle 0x002D
	DMI type 31, 28 bytes.
0e 00 00 00 33 71 00 f0 08 df 0f 00 00 00 00 00 	....3q..........
00 00 00 00 00 00 00 00                         	........        
Handle 0x002E
	DMI type 18, 23 bytes.
	32-bit Memory Error Information
Handle 0x002F
	DMI type 16, 15 bytes.
	Physical Memory Array
Handle 0x0030
	DMI type 19, 15 bytes.
	Memory Array Mapped Address
Handle 0x0031
	DMI type 17, 23 bytes.
	Memory Device
Handle 0x0032
	DMI type 20, 19 bytes.
	Memory Device Mapped Address
Handle 0x0033
	DMI type 17, 23 bytes.
	Memory Device
Handle 0x0034
	DMI type 20, 19 bytes.
	Memory Device Mapped Address
Handle 0x0035
	DMI type 32, 20 bytes.
	System Boot Information
Handle 0x0036
	DMI type 127, 4 bytes.
	End-of-Table
Comment 7 David Slimp 2003-04-18 12:28:31 EDT
I've noticed this bug starting on RH8.0 but also in 9
on my HP Pavilion 720n.  

The install went fine, but the boot from HD after hung.
I'm fairly computer literate working on unix since 1990
and linux since 1997, but it took me 2 months to figure
out the problem and fix it.

I think most linux newbies would give up, or perhaps go
to another distro... in my attempts to fix it I loaded/tested
Debian 3.0 with worked just fine, and if I hadn't been so
dedicated to RedHat perhaps I would have switched right then.

Even if the bug can't easily be fixed, then I suggest that
now that Redhat is trying to team up with HP better, that
they at least have their OS be able to load and boot on HP
machines with as little problems as possible, and so perhaps
having the default kernel set to "apm=off" would be the
best choice?!   (which was the eventual solution for both
RH8.0 and 9)

david slimp
Comment 8 Andrea Pasquinucci 2004-03-09 11:15:13 EST
I have just experienced the same problem on a MITAC 1580, install
FEDORA CORE 1, no problem, first boot it hangs at the line "Freeing
unused kernel memory: 136k freed" (the second of the "Freeing unused...").
I could not catch any message from APM or anything else. To solve the
problem I tried to boot with a lot of "no" kernel parameters and soon
I got that the apm=on was the culprit. 
I had before a RH-7.3 and it worked fine. Now I have no apm since ACPI
doesn't work either. 
As already mentioned, the biggest thing is that there was no error
message. I have a little of experience on this and in a couple of
hours I got out of it, but a linux newbie ????
PS. does the same with the latest kernel 2.4.22-1.2174.nptl
Comment 9 Aleksey Nogin 2004-03-09 22:50:13 EST
I am seeing this on some machines under both RHL9, FC1 and RHAS3 :-(
Comment 10 Arjan van de Ven 2004-03-10 02:35:24 EST
* arjan is waiting for all the new dmi decode information to appear
Comment 11 Aleksey Nogin 2004-03-10 02:59:42 EST
Created attachment 98421 [details]
dmidecode output
Comment 12 Andrea Pasquinucci 2004-03-10 14:26:48 EST
Created attachment 98437 [details]
dmidecode output from my portable

I attach the dmidecode output from my portable (MITAC).
Andrea
Comment 13 Bugzilla owner 2004-09-30 11:40:06 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.